
TYPO3.Neos - Task # 7532

Status: Resolved Priority: Should have
Author: Robert Lemke Category:
Created: 2010-04-29 Assigned To:
Updated: 2012-08-31 Due date:
Subject: Implement a login screen
Description

We need a login view which is shown at .../typo3/login. This view displays a username and a password field as well as a login button.
Authentication is done through an AJAX call (Backend\LoginController->authenticate()).

Below the login fields there's an iframe containing the webpage which has been visited just before the login page was called.

Related issues:
related to Base Distribution - Story # 7214: As a Editor I want to login and ... Resolved 2010-04-11

Associated revisions
Revision 8bf18e56 - 2010-05-10 18:59 - Christopher Hlubek

[~TASK] TYPO3 Backend Login: Fixed Selenium test for new login, implemented test for input field clearing. Relates to #7532.

History
#1 - 2010-04-29 17:42 - Robert Lemke
- % Done changed from 0 to 50

#2 - 2010-04-29 22:53 - Nils Dehl
- % Done changed from 50 to 80

#3 - 2010-05-05 15:01 - Robert Lemke

As discussed in yesterday's daily scrum we will not have an ExtJS based login screen for now, because the history-hack solution cannot be
implemented as we intended.

So, instead we create a full screen login page with a form based on pure HTML / CSS. Additionally we include the JS code for ExtJS so that it gets
loaded on the login screen already (however, that should happen after the login has been displayed).

#4 - 2010-05-05 15:02 - Robert Lemke
- Subject changed from Implement an ExtJS based login view to Implement a login screen

#5 - 2010-05-05 15:03 - Robert Lemke
- Assigned To changed from Nils Dehl to Jens Hoffmann

Assigned to Jens because he will design and deliver HTML/CSS for this screen.

#6 - 2010-05-07 22:56 - Karsten Dambekalns

Jens, I saw in Dropbox that you worked on this today, how's the status?
Christopher offered to work on integrating the design/HTML/CSS into the codebase over the weekend, it would have been great to have the design
today (as promised). So, as soon as you have it done, attach the file(s) here and assign the task to Christopher, please!

We are running short of time, Monday/Tuesday Robert and I are in Munich for the T3A GA, Thursday is officially a holiday and Friday Sprint 1 already
ends. That leaves us with little time to do a lot of open things, and it would be very sad to have to postpone the login to the second Sprint...

#7 - 2010-05-08 15:28 - Jens Hoffmann
- File Login-Wireframe.pdf added
- Status changed from Accepted to Resolved
- Assigned To deleted (Jens Hoffmann)

Login Wireframes attached.
Design will be designed within the Design Sprint Phase later on.

The Background should be a big picture.
Features need to be discussed, I see them as must-have in now days.
But I'm not sure if they need to be implemented in this sprint.

- Regular Login
- OpenID Login
- Forgot Password

Note: Sorry, I couldn't upload the file from Lars office, the firewall blocked me somehow.
Only DropBox and Skyped worked there well .. even Mail didn't work)

#8 - 2010-05-10 00:16 - Berit Hlubek
- File typo3v5-login.zip added

I made the HTML/CSS part for the login screen, at the moment tested with Safari and Firefox. Could test it on IE tomorrow.

#9 - 2010-05-10 17:32 - Christopher Hlubek
- Status changed from Resolved to Accepted
- Assigned To set to Christopher Hlubek

#10 - 2010-05-10 19:01 - Christopher Hlubek
- Status changed from Accepted to Resolved
- Assigned To deleted (Christopher Hlubek)
- % Done changed from 80 to 100

The new login is implemented and the Selenium tests work.

#11 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (518)

#12 - 2012-08-31 10:39 - Robert Lemke

2015-08-03 2/3



- Project changed from Base Distribution to TYPO3.Neos

Files
Login-Wireframe.pdf 472.2 kB 2010-05-08 Jens Hoffmann
typo3v5-login.zip 20.1 kB 2010-05-10 Berit Hlubek
